
Redmine - Defect #6857

git references leaking from subproject to project

2010-11-09 10:08 - Bernhard Furtmueller

Status: New Start date: 2010-11-09

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: SCM Estimated time: 0.00 hour

Target version: Candidate for next minor release   

Resolution:  Affected version: 1.0.3

Description

Since redmine can't share repositories to subprojects yet we added the repository twice (to project and subproject).

Now trackers which are referenced in the repository get commit messages attached twice. One time from the project's repo and one

time from the subproject's repo.

I'd consider this leaking a bug (or a first step to shared repos ;) )

Related issues:

Related to Redmine - Feature #1657: Subprojects can share their parent projec... New 2008-07-17

Related to Redmine - Patch #2144: Patch for main-level repository Closed 2008-11-07 2008-11-07

Related to Redmine - Patch #2256: Allow commit messages to refer to issues in... Closed 2008-12-01

Related to Redmine - Feature #3687: Possibility to link all projects to a sin... New 2009-07-29

Related to Redmine - Patch #9359: invert project <-> repository relationship New 2011-09-30

Has duplicate Redmine - Defect #8225: Revisions that reference issues are dup... New 2011-04-26

Has duplicate Redmine - Defect #5126: Associated revision shown multiple times Closed 2010-03-19

Has duplicate Redmine - Defect #32191: Duplicate associated revisions when us... New

History

#1 - 2010-11-09 10:15 - Bernhard Furtmueller

I think there were already some attempts getting the root problem (sharing repos) fixed or asked.

Feature #1657 Subprojects can share their parent project's repository

Patch #2144 Patch for main-level repository

Patch #2256 Allow commit messages to refer to issues in project ancestor tree, not just project

#2 - 2011-08-24 09:17 - Etienne Massip

- Target version set to Candidate for next minor release

Yet to be confirmed.

#3 - 2011-12-21 17:40 - Mischa The Evil

Etienne Massip wrote:

Yet to be confirmed.

 I haven't looked into this issue deeply but considering r3357 for issue #4674, which was included first in Redmine 0.9.2, it looks like it is logical

behavior.

#4 - 2012-09-14 19:59 - Fernando Hartmann

+1

This happens to me too

#5 - 2013-03-02 08:24 - Ivan Cenov

This happens in 2.2.3.stable too with Subversion repositories.
https://www.redmine.org/issues/1657
https://www.redmine.org/issues/2144
https://www.redmine.org/issues/2256
https://www.redmine.org/projects/redmine/repository/svn/revisions/3357
https://www.redmine.org/issues/4674
https://www.redmine.org/versions/16


#6 - 2013-04-19 07:04 - Jethro Yu

This happens in 2.2.3.stable too with git repositories.

#7 - 2013-11-27 14:56 - Ralph Twele

I have this happening with 2.3.0. It is not only related to parent-child Projects. I have one repository containing a document describing general

development rules. This is included in many Redmine projects. If I commit a change to the document referencing a ticket the new revision will be

listed in the ticket multiple times.

#8 - 2016-01-17 05:53 - Go MAEDA

- Has duplicate Defect #5126: Associated revision shown multiple times added

#9 - 2019-10-06 03:40 - Go MAEDA

- Has duplicate Defect #32191: Duplicate associated revisions when using multiple repositories for a project added
